LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 01-02-2010, 04:30 AM   #1
lugoteehalt
Senior Member
 
Registered: Sep 2003
Location: UK
Distribution: Debian
Posts: 1,215
Blog Entries: 2

Rep: Reputation: 49
Installer nvidia: disagrees about version of symbol module_layout?


Trying to install nVidia's own graphics driver in backport kernel 2.6.30-bpo.1-amd64. It fails with this from the install log:
Quote:
[ 698.199284] nvidia: disagrees about version of symbol module_layout
ERROR: Installation has failed. Please see the file
'/var/log/nvidia-installer.log' for details. You may find suggestions
on fixing installation problems in the README available on the Linux
driver download page at www.nvidia.com.
Any help appreciated.
 
Old 01-02-2010, 05:59 PM   #2
lugoteehalt
Senior Member
 
Registered: Sep 2003
Location: UK
Distribution: Debian
Posts: 1,215
Blog Entries: 2

Original Poster
Rep: Reputation: 49
Sorry, just hadn't installed the kernel headers. For reference Package name: linux-headers-2.6.30-bpo.1-amd64, from the backports suppository. Geddit???? Well I think it's wildly amusing.

The Debian package name for the kernel, bringing it up because found it difficult to discover, is same as above but with 'headers' replaced by 'image'.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
WARNING: Symbol version dump /usr/src/linux-2.6.25/Module.symvers is missing gauravholey Linux - Kernel 2 06-21-2009 01:28 AM
[help]Could not install nvidia driver : ./nvidia-installer: No such file or directory anchunlei Debian 4 04-18-2008 06:30 AM
undefined symbol, compiler version? shared library troubles? thewtex Programming 6 02-25-2007 05:32 PM
nvidia-installer, gcc-version-check fails verbose Linux - Hardware 23 09-03-2006 06:15 PM
nvidia installer fails to create nvidia module rooman Linux - Software 3 10-04-2004 04:39 AM


All times are GMT -5. The time now is 02:09 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration